/** @file rawstringwritestream.cpp
 *  Functionality for writing generic EA::Types classes as JSON
 * 	@headerfile rawstringwritestream.h "EABaseTypesJson/rawstringwritestream.h"
 *	@author Chris Burns (cburns@ea.com)
 *
 *	UX
 *	(c) 2012 Electronic Arts Inc. 
 */

#include "EABaseTypesJson/rawstringwritestream.h"

#include "EABaseTypes/string.h"

namespace EA
{
	RawStringWriteStream::RawStringWriteStream(EA::RawString* dst):
		mDst(dst)
	{
	}
		
	/* virtual */ bool RawStringWriteStream::Write(const void* pData, EA::Json::size_type nSize)
	{
		mDst->append(static_cast<const char*>(pData), static_cast<eastl_size_t>(nSize));
		return true;
	}
}
